import Vue from 'vue'
import Element from 'element-ui'
import App from '@/App'
import i18n from '@/i18n'
import router from '@/router'
import store from '@/store'
import '@/icons'
import '@/element-ui/theme/index.css'
import '@/assets/scss/aui.scss'
import http from '@/utils/request'
import renRadioGroup from '@/components/ren-radio-group'
import renSelect from '@/components/ren-select'
import renProcessMultiple from '@/components/ren-process-multiple'
import renProcessStart from '@/components/ren-process-start'
import renProcessRunning from '@/components/ren-process-running'
import renProcessDetail from '@/components/ren-process-detail'
import renDeptTree from '@/components/ren-dept-tree'
import renRegionTree from '@/components/ren-region-tree'
import {
	hasPermission,
	getDictLabel,
	replaceImgUrl
} from '@/utils'
import cloneDeep from 'lodash/cloneDeep'
import VueAMap from 'vue-amap';
import BaiduMap from 'vue-baidu-map'
import iView from 'iview'
import img from './lib/img'
import utils from "./lib/utils"
// import './assets/less/index.less';


Vue.use(utils)
Vue.prototype.$images = img
Vue.use(iView)
Vue.use(BaiduMap, {
	// ak 是在百度地图开发者平台申请的密钥 详见 http://lbsyun.baidu.com/apiconsole/key */
	ak: 'XU9gTXgUHGApN6ahuwuvUBRcIX1razMG'
})
Vue.config.productionTip = false

Vue.use(Element, {
	size: 'default',
	i18n: (key, value) => i18n.t(key, value)
})
Vue.use(VueAMap);
VueAMap.initAMapApiLoader({
	key: 'YOUR_KEY',
	plugin: ['AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType', ],
	v: '1.4.4'
});

//引入 echarts
// import echarts from 'echarts'
// Vue.prototype.$echarts = echarts
import * as echarts from 'echarts';
Vue.prototype.$echarts = function (el) {
	return echarts.init(el, null, {renderer: 'svg'})
}

Vue.use(renRadioGroup)
Vue.use(renSelect)
Vue.use(renDeptTree)
Vue.use(renRegionTree)
Vue.use(renProcessMultiple)
Vue.use(renProcessStart)
Vue.use(renProcessRunning)
Vue.use(renProcessDetail)

// 挂载全局
Vue.prototype.$http = http
Vue.prototype.$hasPermission = hasPermission
Vue.prototype.$getDictLabel = getDictLabel
Vue.prototype.$replaceImgUrl = replaceImgUrl

// 保存整站vuex本地储存初始状态
window.SITE_CONFIG['storeState'] = cloneDeep(store.state)

new Vue({
	i18n,
	router,
	store,
	render: h => h(App)
}).$mount('#app')
